<?php

/**
 * Firewall Dynamic for Webconfig rules view.
 *
 * @category   apps
 * @package    firewall-dynamic
 * @subpackage views
 * @author     eGloo <team@egloo.ca>
 * @copyright  2017 Avantech
 * @license    http://www.gnu.org/copyleft/lgpl.html GNU Lesser General Public License version 3 or later
 * @link       http://www.clearfoundation.com/docs/developer/apps/firewall_dynamic/
 */

///////////////////////////////////////////////////////////////////////////////
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.  
//
///////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////
// Load dependencies
///////////////////////////////////////////////////////////////////////////////

$this->lang->load('base');
$this->lang->load('firewall_dynamic');

///////////////////////////////////////////////////////////////////////////////
// Form handler
///////////////////////////////////////////////////////////////////////////////

$buttons = array(
    form_submit_update('submit'),
    anchor_cancel('/app/firewall_dynamic')
);

///////////////////////////////////////////////////////////////////////////////
// Form
///////////////////////////////////////////////////////////////////////////////

echo form_open('firewall_dynamic/rules/edit/' . $rule);
echo form_header($metadata['name']);

echo field_dropdown('window', $window_options, $metadata['window'], lang('firewall_dynamic_window'));
if (isset($metadata['root']))
    echo field_toggle_enable_disable('root', $metadata['root'], lang('firewall_dynamic_root_account'));
if (isset($metadata['group']))
    echo field_dropdown('group', $group_options, $metadata['group'], lang('base_group'));
echo field_button_set($buttons);

echo form_footer();
echo form_close();
